**`TUDOR MALENE`[NAME]** -NL- 4 Prestons Road, Wharfside Point South, London, UK, E14 9EL -NL- **`07948524677`[PHONES_PHONE]** ⋄ **`tudor.malene@gmail.com`[EMAILS_EMAIL]** -NL- **`SUMMARY`[SUMMARY_HEADING]** -NL- I am a professional software developer and consultant with over 15 years experience in the software -NL- industry, ranging from greenﬁeld start-ups to large enterprise projects. -NL- A pragmatic individual with a strive for simplicity and a great capacity for innovation backed by strong -NL- analytical and problem solving skills. -NL- I am experienced with agile practices such as test-driven and behaviour-driven development, pair pro- -NL- gramming and continuous integration. -NL- Specialties: Web Development, JVM languages and frameworks, Performance tuning, Agile, TDD. -NL- **`EDUCATION`[EDUCATION_HEADING]** -NL- **`The Bucharest Polytechnic University`[EDUCATION_INSTITUTE]** -NL- 2002 - 2004 -NL- **`M.Sc`[EDUCATION_DEGREE]**. in **`Integrated Information Systems for Distributed Enterprises Management`[EDUCATION_COURSE]** -NL- **`The Bucharest Polytechnic University`[EDUCATION_INSTITUTE]**, Faculty of Computer Science -NL- 1997 - 2002 -NL- **`B.S`[EDUCATION_DEGREE]**. in **`Computer Science & Engineering`[EDUCATION_COURSE]** -NL- **`EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- **`UnderwriteMe - Insurance`[EMPLOYER_COMPANY_NAME]** -NL- Jan 2016-Present -NL- **`Senior Developer`[EMPLOYER_ROLE]** -NL- London, UK -NL- UnderwriteMe is transforming life insurance markets in the UK, Asia and Australia; using the power -NL- of digital technology to remove signiﬁcant cost and ineﬃciencies from existing sales processes. -NL- · Responsiblities: Senior Agile **`Developer`[EMPLOYER_ROLE]**, Performance expert -NL- · Signiﬁcantly improved response times, ﬁxed numerous concurrency issues, Gatling suite -NL- · Investigated and ﬁxed critical business, security and performance issues -NL- · Optimized the AWS infrastructure, and setup clustering. -NL- · Refactored and simpliﬁed key areas. -NL- · Assisted customers with technical queries -NL- · Technologies: Groovy, Grails, Java, Spring, Hibernate, Ehcache, Dropwizard, Gradle, AngularJs -NL- · Technologies: AWS, Microservices, RabbitMq, Mysql, Jenkins, Gatling, RESTful API, Memcached -NL- · Technologies: Spring integration, Liquibase, Docker, Elasticsearch, Docker, AWS -NL- · Metodology: Scrum - 2 week sprints, TDD -NL- **`Valtech.com - Digital agency`[EMPLOYER_COMPANY_NAME]** -NL- March 2015-Jan 2016 -NL- **`Senior Consultant`[EMPLOYER_ROLE]** -NL- London, UK -NL- · Valtech is a global digital agency focused on business transformation. -NL- · Project: HMRC - ”Civil Service Fast Track apprenticeship” -NL- · Responsiblities: Agile **`Developer`[EMPLOYER_ROLE]** -NL- · Part of the team that started the project, made architecture decisions, implemented core functionalities -NL- · Technologies: Scala, Play Framework, Microservices, Specs2, Cucumber, Anorm, MongoDB, Jenkins, -NL- HMRC Tax Platform -NL- · Project: ”Department for Work and Pensions” - ”Carer’s Allowance Digital Service”. -NL- · Responsiblities: Agile **`Developer`[EMPLOYER_ROLE]**, performance improvements, integration with third party systems -NL- · Technologies: Scala, Play Framework, Microservices, Akka, RabbitMq, Specs2, Anorm, PostgreSQL, -NL- Jenkins, Memcached -NL- · Metodology: Scrum - 2 week sprints, BDD -NL- **`Validis.com - Fintech`[EMPLOYER_COMPANY_NAME]** -NL- May 2014- March 2015 -NL- **`Senior Developer`[EMPLOYER_ROLE]** -NL- London, UK -NL- · Global FinTech with a cutting-edge data extraction and analytics software. -NL- · Responsiblities: Agile **`Developer`[EMPLOYER_ROLE]**, massive performance improving -NL- · Upgrade the technology stack, review and improve the architecture -NL- · Upgrade the build system and development process by implementing gradle -NL- · Technologies: Java, Spring, Spring integration, Hibernate, Groovy/Grails, JQuery, Hg -NL- · Technologies: Spock, Geb, Gradle, Liquibase, PostgreSQL, Hudson -NL- · Metodology: Scrum - 2 week sprints, BDD -NL- **`EastSoft`[EMPLOYER_COMPANY_NAME]** -NL- 2011- 2014 -NL- **`Technical Architect & Lead Developer & Consultant`[EMPLOYER_ROLE]** -NL- Bucharest, RO -NL- · Project: SAP Portal implementation -NL- · Integrates multiple legacy applications under an instance of SAP Portal via Single Sign ON. -NL- · Responsiblities: Requirement gathering, write the Blueprint and demo. -NL- · Technologies: SAP Portal -NL- · Project: Web Interface for SAP MM and SD -NL- · Web application exposing functionalities in SAP MM and SAP SD. -NL- · Responsiblities: Designed and implemented the application. -NL- · Technologies: Groovy, Grails, JQuery, Soap - CXF Web Services -NL- · Project: Custom ERP system for medium business customers. -NL- · Responsiblities: I designed and implemented the technical framework and implemented 2 modules: -NL- Material Management and Basic Accounting. -NL- · Clariﬁed and improved business requirements. -NL- · Technologies: Groovy, Grails, JQuery, Jasper Reports -NL- **`HavaBet - Social betting platform`[EMPLOYER_COMPANY_NAME]** -NL- 2010 - 2011 -NL- **`Architect & Lead Developer`[EMPLOYER_ROLE]** -NL- Bucharest and Spain -NL- · HavaBet is a social betting platform for making simple real-money bets with friends. -NL- · Responsiblities: Started the project, assembled the team and designed the architecture. -NL- · Implemented critical modules (bet settlement in multiple currencies, integration with the payment -NL- gateway) -NL- · Clariﬁed & improved requirements, Lead the team of 5 developers -NL- · Technologies: Java, Spring Roo, Spring, Ejb, Spring MVC, Spring WebFlow, JQuery, Maven -NL- **`Azure Media`[EMPLOYER_COMPANY_NAME]** -NL- 2006 - 2011 -NL- **`Architect & Lead Developer & CTO`[EMPLOYER_ROLE]** -NL- Bucharest and NY -NL- · Project: Mobile Banking platform -NL- · Social banking platform built around a mobile application and a prepaid debit card. -NL- · It featured a custom secure protocol so that transactions could be executed over SMS (this was 2008) -NL- · Responsiblities: Designed the architecture, implemented critical modules -NL- · Lead the team of 3-4 developers -NL- · Technologies: Spring, Hibernate, AspectJ, Ehcache, ActiveMq -NL- · Technologies: J2me, Objective C, Android Java, Maven -NL- · Project: Mass Mobile communication platform -NL- · Responsiblities: Designed the architecture, functional requirements, implemented functionalities. -NL- · Lead the team of 2 developers and the web design team -NL- · Technologies: Spring, Hibernate, JSP, Echo2, AspectJ, Jasper Reports, Jfreechart, Ehcache -NL- · Technologies: Kannel, Xﬁre, Selenium, Maven -NL- · Project: Management -NL- · Responsiblities: Assembled the entire development & technical team. -NL- · Participated in strategy meetings. -NL- · Participated in sales pitches. -NL- · Lead the development of various proof of concept applications or internal tools. -NL- **`UTI Systems`[EMPLOYER_COMPANY_NAME]** -NL- 2004 - 2006 -NL- **`Architect & Lead Developer`[EMPLOYER_ROLE]** -NL- Bucharest, RO -NL- · Project: Complex, conﬁgurable ERP system - designed for public service institutions -NL- · Responsiblities: Lead team of 5 developers and supervised a remote team of 10 developers -NL- · Organize tasks and meet deadlines, analyze requirements -NL- · Lead design sessions and assume technical decisions -NL- · Developed critical sections of the framework and very complex modules. -NL- · Technologies: EJB, Struts, DWR, Maven, PKI, Oracle DB -NL- · Project: Internal framework -NL- · Responsiblities: Developed reusable components for usage in multiple projects -NL- · Fixed speciﬁc critical problems in various projects -NL- · Technologies: Java, Javascript, EJB, Struts, Maven -NL- **`Teamlog`[EMPLOYER_COMPANY_NAME]** -NL- 2002 - 2004 -NL- **`Developer`[EMPLOYER_ROLE]** -NL- Bucharest, RO -NL- · Responsiblities: Develop software modules. -NL- · Technologies: Java, Struts, PL/SQL, Informix DB, C-sharp -NL- **`TECHNICAL SKILLS`[SKILLS_HEADING]** -NL- General -NL- Strong knowledge of Computer Science fundamentals -NL- **`Languages`[OTHERS_HEADING]** -NL- Core Java (16 yrs), Groovy (5 yrs), Scala (1 yr), SQL (14 yrs) -NL- Languages -NL- Javascript (13 yrs), C-sharp (2 yrs), PHP (1 yr) -NL- Technologies -NL- Concurrency and multithreading, Microservices, PKI -NL- Web -NL- RESTful Apis, JMS, ActiveMq, Spring Framework -NL- Web -NL- Spring Boot, Dropwizard, Grails, Play Framework -NL- Testing -NL- Spock, Geb, Webdriver, JUnit, JMock, Cucumber, Gherkin, TestNg, ScalaTest, Specs2 -NL- Build -NL- Gradle, Maven, ANT, SBT, Npm, Gulp -NL- VCS -NL- Git, Hg, SVN -NL- Persistence -NL- Hibernate, EJB3, JPA2, GORM, PL/SQL, Scala Anorm, Liquibase -NL- Javascript -NL- JQuery, AngularJs -NL- Other -NL- Jasper Reports -NL- Proﬁling -NL- YourKit Proﬁler, JProﬁler, VisualVM -NL- Performance -NL- Gatling, JMeter -NL- Databases -NL- MySQL, PostgreSQL, Microsoft SQL, Oracle, SqLite -NL- NoSql -NL- MongoDB -NL- IDE -NL- Intellij Idea, Eclipse, Visual Studio -NL- Tools -NL- Docker, Bash scripting -NL- Tools -NL- Jenkins, Hudson -NL- Tools -NL- Elastisearch, Memcached, Ehcache -NL- Development -NL- Test-Driven Development, Behaviour-Driven Development -NL- **`FOREIGN LANGUAGES`[OTHERS_HEADING]** -NL- English -NL- Fluent -NL- Romanian -NL- Native speaker -NL- German -NL- Conversant -NL- French -NL- Basic Knowledge -NL- OPEN SOURCE -NL- https://github.com/tudor-malene -NL- 